.TH wxPrintData 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxPrintData \- See external documentation: wxPrintData\&.
.SH DESCRIPTION
.LP
See external documentation: wxPrintData <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintdata\&.html>\&.

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxPrintData()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new() -> wxPrintData()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintdata\&.html#wxprintdatawxprintdata>\&.
.RE
.LP
.B
new(PrintData::wxPrintData()) -> wxPrintData()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintdata\&.html#wxprintdatawxprintdata>\&.
.RE
.LP
.B
getCollate(This::wxPrintData()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintdata\&.html#wxprintdatagetcollate>\&.
.RE
.LP
.B
getBin(This::wxPrintData()) -> WxPrintBin
.br
.RS
.TP
Types
WxPrintBin = integer()
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintdata\&.html#wxprintdatagetbin>\&. 
.br
 WxPrintBin is one of ?wxPRINTBIN_DEFAULT | ?wxPRINTBIN_ONLYONE | ?wxPRINTBIN_LOWER | ?wxPRINTBIN_MIDDLE | ?wxPRINTBIN_MANUAL | ?wxPRINTBIN_ENVELOPE | ?wxPRINTBIN_ENVMANUAL | ?wxPRINTBIN_AUTO | ?wxPRINTBIN_TRACTOR | ?wxPRINTBIN_SMALLFMT | ?wxPRINTBIN_LARGEFMT | ?wxPRINTBIN_LARGECAPACITY | ?wxPRINTBIN_CASSETTE | ?wxPRINTBIN_FORMSOURCE | ?wxPRINTBIN_USER
.RE
.LP
.B
getColour(This::wxPrintData()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintdata\&.html#wxprintdatagetcolour>\&.
.RE
.LP
.B
getDuplex(This::wxPrintData()) -> WxDuplexMode
.br
.RS
.TP
Types
WxDuplexMode = integer()
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintdata\&.html#wxprintdatagetduplex>\&. 
.br
 WxDuplexMode is one of ?wxDUPLEX_SIMPLEX | ?wxDUPLEX_HORIZONTAL | ?wxDUPLEX_VERTICAL
.RE
.LP
.B
getNoCopies(This::wxPrintData()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintdata\&.html#wxprintdatagetnocopies>\&.
.RE
.LP
.B
getOrientation(This::wxPrintData()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintdata\&.html#wxprintdatagetorientation>\&.
.RE
.LP
.B
getPaperId(This::wxPrintData()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintdata\&.html#wxprintdatagetpaperid>\&.
.RE
.LP
.B
getPrinterName(This::wxPrintData()) -> string()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintdata\&.html#wxprintdatagetprintername>\&.
.RE
.LP
.B
getQuality(This::wxPrintData()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintdata\&.html#wxprintdatagetquality>\&.
.RE
.LP
.B
isOk(This::wxPrintData()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintdata\&.html#wxprintdataisok>\&.
.RE
.LP
.B
setBin(This::wxPrintData(), Bin::WxPrintBin) -> ok
.br
.RS
.TP
Types
WxPrintBin = integer()
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintdata\&.html#wxprintdatasetbin>\&. 
.br
 WxPrintBin is one of ?wxPRINTBIN_DEFAULT | ?wxPRINTBIN_ONLYONE | ?wxPRINTBIN_LOWER | ?wxPRINTBIN_MIDDLE | ?wxPRINTBIN_MANUAL | ?wxPRINTBIN_ENVELOPE | ?wxPRINTBIN_ENVMANUAL | ?wxPRINTBIN_AUTO | ?wxPRINTBIN_TRACTOR | ?wxPRINTBIN_SMALLFMT | ?wxPRINTBIN_LARGEFMT | ?wxPRINTBIN_LARGECAPACITY | ?wxPRINTBIN_CASSETTE | ?wxPRINTBIN_FORMSOURCE | ?wxPRINTBIN_USER
.RE
.LP
.B
setCollate(This::wxPrintData(), Flag::bool()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintdata\&.html#wxprintdatasetcollate>\&.
.RE
.LP
.B
setColour(This::wxPrintData(), Colour::bool()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintdata\&.html#wxprintdatasetcolour>\&.
.RE
.LP
.B
setDuplex(This::wxPrintData(), Duplex::WxDuplexMode) -> ok
.br
.RS
.TP
Types
WxDuplexMode = integer()
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintdata\&.html#wxprintdatasetduplex>\&. 
.br
 WxDuplexMode is one of ?wxDUPLEX_SIMPLEX | ?wxDUPLEX_HORIZONTAL | ?wxDUPLEX_VERTICAL
.RE
.LP
.B
setNoCopies(This::wxPrintData(), V::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintdata\&.html#wxprintdatasetnocopies>\&.
.RE
.LP
.B
setOrientation(This::wxPrintData(), Orient::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintdata\&.html#wxprintdatasetorientation>\&.
.RE
.LP
.B
setPaperId(This::wxPrintData(), SizeId::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintdata\&.html#wxprintdatasetpaperid>\&.
.RE
.LP
.B
setPrinterName(This::wxPrintData(), Name::string()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintdata\&.html#wxprintdatasetprintername>\&.
.RE
.LP
.B
setQuality(This::wxPrintData(), Quality::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintdata\&.html#wxprintdatasetquality>\&.
.RE
.LP
.B
destroy(This::wxPrintData()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
